#pragma once
#include "Entity.h"
class CS_AmLava :
    public Entity
{
public:
    CS_AmLava(std::shared_ptr<Entity> parent);
    void Step() override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    void Feedback(std::weak_ptr<Entity> target) override;
};

void SetCS_AmLava(std::shared_ptr<Entity> parent, float x, float y, float vx, float vy);